org.springframework.data.relational.core.conversion

## Class RelationalEntityUpdateWriter

- java.lang.Object
- - org.springframework.data.relational.core.conversion.RelationalEntityUpdateWriter

All Implemented Interfaces:
  EntityWriter<Object,MutableAggregateChange<?>>

    public class RelationalEntityUpdateWriter
    extends Object
    implements EntityWriter<Object,MutableAggregateChange<?>>

Converts an aggregate represented by its root into an `MutableAggregateChange`. Does not perform any isNew check.

Since:
  1.1
Author:
  Thomas Lang, Jens Schauder

### Constructor Summary

Constructors
Constructor and Description
`RelationalEntityUpdateWriter(RelationalMappingContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(Object root, MutableAggregateChange<?> aggregateChange)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RelationalEntityUpdateWriter

    public RelationalEntityUpdateWriter(RelationalMappingContext context)

### Method Detail

#### write

    public void write(Object root,
                      MutableAggregateChange<?> aggregateChange)

Specified by:
  `write` in interface `EntityWriter<Object,MutableAggregateChange<?>>`